Package org.postgresql.osgi

# Class PGBundleActivator

java.lang.Object
org.postgresql.osgi.PGBundleActivator

All Implemented Interfaces:
  `org.osgi.framework.BundleActivator`

public class PGBundleActivator extends Object implements org.osgi.framework.BundleActivator
This class is an OSGi Bundle Activator and should only be used internally by the OSGi Framework.

## Constructor Summary

Constructors
Constructor
Description
`PGBundleActivator()`

## Method Summary

Modifier and Type
Method
Description
`void`
`start(org.osgi.framework.BundleContext context)`
`void`
`stop(org.osgi.framework.BundleContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PGBundleActivator

public PGBundleActivator()

## Method Details

### start

public void start(org.osgi.framework.BundleContext context) throws Exception

Specified by:
  `start` in interface `org.osgi.framework.BundleActivator`
Throws:
  `Exception`

### stop

public void stop(org.osgi.framework.BundleContext context) throws Exception

Specified by:
  `stop` in interface `org.osgi.framework.BundleActivator`
Throws:
  `Exception`